package com.bocloud.cmp.model.storage;

import java.util.List;

/**
 * 主机的端口
 */
public class StoragePortModel {
    private String portUuid; // 唯一标识
    private String name; // 名称/华为存储端口的wwpn
    private String type; // 类型
    private String otherType; // idType是other时的类型，该字段有值
    private String status; // 端口状态
    private Integer nodeLoggedCount; // 节点登录的数目
    private Integer numberGroups; // IBM拓展字段
    private Integer numberPorts; // IBM拓展字段
    private String keyPath; // smis用来传参
    private String hostUuid; // 所属主机id
    private String hostName; // 所属主机名称
    private String username; // iSCSI客户端登录时需要填写的用户名
    private String password; // iSCSI客户端登录时需要填写的密码
    private Boolean encrypted; // iSCSI客户端登录时需要填写的密码是否加密
    private Boolean chap; // iSCSI客户端登录时是否使用双向认证
    private String mutualUsername; // iSCSI客户端用户名
    private String mutualPassword; // iSCSI客户端密码
    private Boolean mutualEncrypted;// iSCSI客户端密码是否加密
    private Boolean mutualLogged; // iSCSI客户端登录状态
    private List<String> mutualIps; // iSCSI客户端ip列表
    private String mutualHostname; // iSCSI客户端主机名
    private List<String> mutualGateways; //iSCSI客户端通过哪些网关服务器进行登录，list的内容是网关服务器的主机名
    private List<StorageFCPortModel> fcPorts; // EMC存储扩展：主机端口的通信FC端口

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOtherType() {
        return otherType;
    }

    public void setOtherType(String otherType) {
        this.otherType = otherType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getNodeLoggedCount() {
        return nodeLoggedCount;
    }

    public void setNodeLoggedCount(Integer nodeLoggedCount) {
        this.nodeLoggedCount = nodeLoggedCount;
    }

    public Integer getNumberGroups() {
        return numberGroups;
    }

    public void setNumberGroups(Integer numberGroups) {
        this.numberGroups = numberGroups;
    }

    public Integer getNumberPorts() {
        return numberPorts;
    }

    public void setNumberPorts(Integer numberPorts) {
        this.numberPorts = numberPorts;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getHostUuid() {
        return hostUuid;
    }

    public void setHostUuid(String hostUuid) {
        this.hostUuid = hostUuid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Boolean getEncrypted() {
        return encrypted;
    }

    public void setEncrypted(Boolean encrypted) {
        this.encrypted = encrypted;
    }

    public Boolean getChap() {
        return chap;
    }

    public void setChap(Boolean chap) {
        this.chap = chap;
    }

    public String getMutualUsername() {
        return mutualUsername;
    }

    public void setMutualUsername(String mutualUsername) {
        this.mutualUsername = mutualUsername;
    }

    public String getMutualPassword() {
        return mutualPassword;
    }

    public void setMutualPassword(String mutualPassword) {
        this.mutualPassword = mutualPassword;
    }

    public Boolean getMutualEncrypted() {
        return mutualEncrypted;
    }

    public void setMutualEncrypted(Boolean mutualEncrypted) {
        this.mutualEncrypted = mutualEncrypted;
    }

    public Boolean getMutualLogged() {
        return mutualLogged;
    }

    public void setMutualLogged(Boolean mutualLogged) {
        this.mutualLogged = mutualLogged;
    }

    public List<String> getMutualIps() {
        return mutualIps;
    }

    public void setMutualIps(List<String> mutualIps) {
        this.mutualIps = mutualIps;
    }

    public String getMutualHostname() {
        return mutualHostname;
    }

    public void setMutualHostname(String mutualHostname) {
        this.mutualHostname = mutualHostname;
    }

    public List<String> getMutualGateways() {
        return mutualGateways;
    }

    public void setMutualGateways(List<String> mutualGateways) {
        this.mutualGateways = mutualGateways;
    }

    public List<StorageFCPortModel> getFcPorts() {
        return fcPorts;
    }

    public void setFcPorts(List<StorageFCPortModel> fcPorts) {
        this.fcPorts = fcPorts;
    }
}
